VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::TagAssociationTypes::BatchResult Class Reference

The `TagAssociation.BatchResult` class describes the result of performing the same method on several tags or objects in a single invocation. More...

List of all members.

## Public Member Functions
| BatchResult ()
| Creates a default new instance.
bool | GetSuccess ()
| This is true if the batch method completed without any errors.
void | SetSuccess (bool success)
| This is true if the batch method completed without any errors.
global::System.Collections.Generic.List < vmware.vapi.std.LocalizableMessage > | GetErrorMessages ()
| The list of error messages.
void | SetErrorMessages (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > errorMessages)
| The list of error messages.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `TagAssociation.BatchResult` class describes the result of performing the same method on several tags or objects in a single invocation.

## Constructor & Destructor Documentation

vmware::cis::tagging::TagAssociationTypes::BatchResult::BatchResult | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::TagAssociationTypes::BatchResult::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::TagAssociationTypes::BatchResult::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::TagAssociationTypes::BatchResult::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::TagAssociationTypes::BatchResult::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::TagAssociationTypes::BatchResult::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::TagAssociationTypes::BatchResult::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.std.LocalizableMessage> vmware::cis::tagging::TagAssociationTypes::BatchResult::GetErrorMessages | ( |  | ) | `[inline]`

The list of error messages.

override int vmware::cis::tagging::TagAssociationTypes::BatchResult::GetHashCode | ( |  | ) | `[inline]`

bool vmware::cis::tagging::TagAssociationTypes::BatchResult::GetSuccess | ( |  | ) | `[inline]`

This is true if the batch method completed without any errors.

Otherwise it is false and all or some methods have failed.

void vmware::cis::tagging::TagAssociationTypes::BatchResult::SetErrorMessages | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | errorMessages | ) | `[inline]`

The list of error messages.

void vmware::cis::tagging::TagAssociationTypes::BatchResult::SetSuccess | ( | bool | success | ) | `[inline]`

This is true if the batch method completed without any errors.

Otherwise it is false and all or some methods have failed.

override string vmware::cis::tagging::TagAssociationTypes::BatchResult::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TagAssociationTypes.cs